Package org.apache.sysds.runtime.controlprogram.federated

# Enum Class FederatedRequest.RequestType

java.lang.Object
java.lang.Enum<FederatedRequest.RequestType>
org.apache.sysds.runtime.controlprogram.federated.FederatedRequest.RequestType

All Implemented Interfaces:
  `Serializable`, `Comparable<FederatedRequest.RequestType>`, `Constable`

Enclosing class:
  FederatedRequest

public static enum FederatedRequest.RequestType extends Enum<FederatedRequest.RequestType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLEAR`
`EXEC_INST`
`EXEC_UDF`
`GET_VAR`
`NOOP`
`PUT_VAR`
`READ_VAR`

## Method Summary

Modifier and Type
Method
Description
`static FederatedRequest.RequestType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FederatedRequest.RequestType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### READ_VAR

public static final FederatedRequest.RequestType READ_VAR

### PUT_VAR

public static final FederatedRequest.RequestType PUT_VAR

### GET_VAR

public static final FederatedRequest.RequestType GET_VAR

### EXEC_INST

public static final FederatedRequest.RequestType EXEC_INST

### EXEC_UDF

public static final FederatedRequest.RequestType EXEC_UDF

### CLEAR

public static final FederatedRequest.RequestType CLEAR

### NOOP

public static final FederatedRequest.RequestType NOOP

## Method Details

### values

public static FederatedRequest.RequestType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FederatedRequest.RequestType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null